import { Component } from '@angular/core';

import { ColumnPinningPosition, IPinningConfig, } from 'igniteui-angular';

import { DATA } from './customers';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent {
  title = 'kb3323-app1';

  public data: any[];

  public pinningConfig: IPinningConfig = { columns: ColumnPinningPosition.Start };

  constructor(){
    this.data = DATA;
  }

  changePinningPosition(){
    if (this.pinningConfig.columns === ColumnPinningPosition.Start) {
      this.pinningConfig = { columns: ColumnPinningPosition.End, rows: this.pinningConfig.rows };
    } else {
      this.pinningConfig = { columns: ColumnPinningPosition.Start, rows: this.pinningConfig.rows };
    }
  }
}
